mail/cyrus-imapd24 - The NetBSD Packages Collection

Cyrus IMAP server

IMAP (Internet Message Access Protocol) is an Internet standards-track
protocol for accessing messages (mail, bboards, news, etc). The Cyrus
IMAP server differs from other IMAP server implementations in that it
is generally intended to be run on "sealed" servers, where normal users
are not permitted to log in. The mailbox database is stored in parts of
the filesystem that are private to the Cyrus IMAP system. All user
access to mail is through the IMAP, POP3, or KPOP protocols.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 databases/db4 devel/pcre lang/perl5 security/cyrus-sasl security/cyrus-sasl devel/pcre security/cyrus-sasl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfcyrus-imapd-2.4.20nb15.tgz
NetBSD 8.0earmv7hfcyrus-imapd-2.4.20nb12.tgz
NetBSD 8.0earmv7hfcyrus-imapd-2.4.20nb14.tgz
NetBSD 8.0i386cyrus-imapd-2.4.20nb12.tgz
NetBSD 8.0i386cyrus-imapd-2.4.20nb14.tgz
NetBSD 8.0powerpccyrus-imapd-2.4.20nb12.tgz
NetBSD 8.0powerpccyrus-imapd-2.4.20nb14.tgz
NetBSD 8.0powerpccyrus-imapd-2.4.20nb14.tgz
NetBSD 8.0powerpccyrus-imapd-2.4.20nb15.tgz
NetBSD 8.0x86_64cyrus-imapd-2.4.20nb12.tgz
NetBSD 8.0x86_64cyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0aarch64cyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0aarch64cyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0aarch64cyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0alphacyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0alphacyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0alphacyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0earmcyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0earmcyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0earmv6hfcyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0earmv6hfcyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0earmv6hfcyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0earmv7hfcyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0earmv7hfcyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0earmv7hfcyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0earmv7hfcyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0i386cyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0i386cyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0i386cyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0mips64ebcyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0mips64ebcyrus-imapd-2.4.20nb11.tgz
NetBSD 9.0mips64ebcyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0mips64ebcyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0mips64ebcyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0powerpccyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0powerpccyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0powerpccyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0powerpccyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0sparc64cyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0sparc64cyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0sparc64cyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0x86_64cyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0x86_64cyrus-imapd-2.4.20nb15.tgz
NetBSD 9.0x86_64cyrus-imapd-2.4.20nb12.tgz
NetBSD 9.0x86_64cyrus-imapd-2.4.20nb14.tgz
NetBSD 9.0x86_64cyrus-imapd-2.4.20nb15.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

bdb
Enable Berkeley DB support.
gssapi
Enable gssapi (Kerberos V) support.
kerberos
Enable Kerberos support.
kerberos4
Enable Kerberos4 support.
ldap
Enable LDAP support.
mysql
Enable MySQL support.
pcre
Enable Perl-compatible regular expressions.
pgsql
Enable PostgreSQL support.
snmp
Enable SNMP support.
sqlite
Enable SQLite support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.